## net.i2p.router.networkdb.kademlia
Class RepublishLeaseSetJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.RepublishLeaseSetJob

All Implemented Interfaces:
  Job

public class RepublishLeaseSetJob
extends JobImpl

Run periodically for each locally created leaseSet to cause it to be republished if the client is still connected.

Constructor Summary
`RepublishLeaseSetJob(RouterContext ctx, KademliaNetworkDatabaseFacade facade, Hash destHash)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`(package private) void` `requeueRepublish()`
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepublishLeaseSetJob

    public RepublishLeaseSetJob(RouterContext ctx,
                                KademliaNetworkDatabaseFacade facade,
                                Hash destHash)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### requeueRepublish

    void requeueRepublish()